summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2017-09-03 18:48:35 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2017-09-03 18:48:51 -0500
commit2701a9c98cbaaa6ce07ca59ecde065e11a7c6c90 (patch)
tree2a902ea8371be19981976fe34d1024b75d41f9b9 /sys-cluster/swift
parentsys-kernel/vanilla-sources: Linux patch 4.13.0 (diff)
downloadgentoo-2701a9c98cbaaa6ce07ca59ecde065e11a7c6c90.tar.gz
gentoo-2701a9c98cbaaa6ce07ca59ecde065e11a7c6c90.tar.bz2
gentoo-2701a9c98cbaaa6ce07ca59ecde065e11a7c6c90.zip
sys-cluster/swift: fast stable for bug 629446
Package-Manager: Portage-2.3.6, Repoman-2.3.3 RepoMan-Options: --force
Diffstat (limited to 'sys-cluster/swift')
-rw-r--r--sys-cluster/swift/swift-2.10.2-r1.ebuild (renamed from sys-cluster/swift/swift-2.10.2.ebuild)3
-rw-r--r--sys-cluster/swift/swift-2.13.1-r1.ebuild (renamed from sys-cluster/swift/swift-2.13.1.ebuild)3
-rw-r--r--sys-cluster/swift/swift-2017.1.9999.ebuild3
3 files changed, 6 insertions, 3 deletions
diff --git a/sys-cluster/swift/swift-2.10.2.ebuild b/sys-cluster/swift/swift-2.10.2-r1.ebuild
index e5bdbb87d5e..30e15865580 100644
--- a/sys-cluster/swift/swift-2.10.2.ebuild
+++ b/sys-cluster/swift/swift-2.10.2-r1.ebuild
@@ -104,7 +104,8 @@ python_install_all() {
newins "etc/object-expirer.conf-sample" "object-expirer.conf"
fi
- fowners swift:swift "/etc/swift" || die "fowners failed"
+ fowners root:swift "/etc/swift" || die "fowners failed"
+ fperms 0750 /etc/swift
}
pkg_postinst() {
diff --git a/sys-cluster/swift/swift-2.13.1.ebuild b/sys-cluster/swift/swift-2.13.1-r1.ebuild
index 4a220c73103..20394c0afbb 100644
--- a/sys-cluster/swift/swift-2.13.1.ebuild
+++ b/sys-cluster/swift/swift-2.13.1-r1.ebuild
@@ -101,7 +101,8 @@ python_install_all() {
newins "etc/object-expirer.conf-sample" "object-expirer.conf"
fi
- fowners swift:swift "/etc/swift" || die "fowners failed"
+ fowners root:swift "/etc/swift" || die "fowners failed"
+ fperms 0750 /etc/swift
}
pkg_postinst() {
diff --git a/sys-cluster/swift/swift-2017.1.9999.ebuild b/sys-cluster/swift/swift-2017.1.9999.ebuild
index 51ded18f8e5..088cba57d7f 100644
--- a/sys-cluster/swift/swift-2017.1.9999.ebuild
+++ b/sys-cluster/swift/swift-2017.1.9999.ebuild
@@ -102,7 +102,8 @@ python_install_all() {
newins "etc/object-expirer.conf-sample" "object-expirer.conf"
fi
- fowners swift:swift "/etc/swift" || die "fowners failed"
+ fowners root:swift "/etc/swift" || die "fowners failed"
+ fperms 0750 /etc/swift
}
pkg_postinst() {